<?php
/**
* Tab to display recently registered events in the AKReservations Component in a Community Builder profile
* Author: Michael Spredemann (scubaguy) mkemichael@yahoo.com
*/
class getAkreservationsTab extends cbTabHandler {
	function getAkreservationsTab() {
		$this->cbTabHandler();
		}
	
  function getDisplayTab($tab,$user,$ui) {
	global $database,$mosConfig_live_site, $mosConfig_absolute_path, $mosConfig_lang, $my;
	// Language:
	if (file_exists($mosConfig_absolute_path."/components/com_akreservations/language/".$mosConfig_lang.".php"))
	    include($mosConfig_absolute_path."/components/com_akreservations/language/".$mosConfig_lang.".php");
	else if(file_exists($mosConfig_absolute_path."/components/com_akreservations/language/english.php"))
		include($mosConfig_absolute_path."/components/com_akreservations/language/english.php");
	else return "Error: No language file could be loaded. Is the AKReservations component properly installed?";
	
	if (file_exists($mosConfig_absolute_path."/components/com_comprofiler/plugin/user/plug_akreservations-tab/language/".$mosConfig_lang.".php"))
	    include($mosConfig_absolute_path."/components/com_comprofiler/plugin/user/plug_akreservations-tab/language/".$mosConfig_lang.".php");
	else if(file_exists($mosConfig_absolute_path."/components/com_comprofiler/plugin/user/plug_akreservations-tab/language/english.php"))
		include($mosConfig_absolute_path."/components/com_comprofiler/plugin/user/plug_akreservations-tab/language/english.php");
	else return "Error: No language file could be loaded. Is the AKReservations CB plugin properly installed?";



	$params = $this->params;
	$return="";

	$eventLimit = $params->get('eventsLimit','');
	$showTotal = $params->get('showTotal','');
	$chooseCal = $params->get('chooseCal','');


	$database->setQuery("select id from #__menu where link='index.php?option=com_akreservations' AND published=1");
	$comitem=$database->loadResult();
	
	if ($chooseCal == '1') { 
		$database->setQuery("select id from #__menu where link='index.php?option=com_eventlist' AND published=1");
		}
	if ($chooseCal == '2') {
		$database->setQuery("select id from #__menu where link='index.php?option=com_events_sessions' OR link='index.php?option=com_attend_events' AND published=1");
		}
		$eventitemid=$database->loadResult();

if ($showTotal == 1) {	
	$countsql = "select count(*)"
		. "\n FROM `#__akreservations` r"
		. "\n WHERE r.userid = ". $user->id .""
		. "\n AND ("
		. "\n (r.confirmed = 1)"
		. "\n AND (r.accepted = '1'))";
		    $database->setQuery($countsql);
    		$count = $database->loadResult();
			}

	$query = "SELECT s.category, s.dates, r.paid, r.ticketcount, r.name, r.userid, r.activation"
		. "\n FROM `#__akreservations` r"
		. "\n LEFT JOIN `#__akreservations_categories` AS s ON ( r.category = s.category )"
		. "\n WHERE r.userid = '". $user->id ."'"
		. "\n AND ((r.confirmed = '1') AND (r.accepted = '1'))"
		. "\n ORDER BY s.category DESC";
	
	$database->setQuery( $query );

	$events = $database->loadObjectList();
	if(!count($events)>0) {
		$return = _AKPLUG_NO_EVENTS;
		return $return;
}
	$return .= "<div style=\"padding:4px;\">"._AKPLUG_EVENTDESCRIPTION_TXT."</div>";
	if ($showTotal ==1) {
	$return .= "<div style=\"padding:4px;border-top:1px solid black;\">"._AKPLUG_TOTALTITLE.": <strong>".$count."</strong></div>";
	}
	$return .= "<table cellpadding=\"5\" cellspacing=\"0\" border=\"0\" width=\"95%\">";
	$return .= "<tr class=\"sectiontableheader\">";
	$return .= "<td>"._AKPLUG_EVENT_TITLE_TXT."</td><td>"._AKPLUG_EVENT_DATE_TXT."</td>";

	$return .= "</tr>";
	$i=1;
	
if (!$my->id) {
echo _AKPLUG_NOTMEMBER;
	} 
	
	if ($user->id == $my->id) {
	
	foreach($events AS $event) {
	
	$chunks = explode('|',$event->dates);
	
	$calname = $chunks[4];
	$ecat = $event->category;
	$eventdate = $chunks[0];
	$eactivate = $event->activation;
	$enumber = $event->ticketcount;
	$paid = $event->paid;
	
	$eventyear = substr($eventdate,0,4);
	$eventmonth = substr($eventdate,4,-2);
	$eventday = substr($eventdate,-2);

	//$edate2 = "".$eventyear."-".$eventmonth."-".$eventday."";
	$edate2 = $chunks[1];
	
	$callink = "";

	if ($chooseCal == '0' || $eventitemid =='') {
	$callink = '';
	
	// Event List
	} elseif ($chooseCal =='1' && $eventitemid) {
	$eventquery = "SELECT id FROM #__eventlist_dates WHERE published = 1 AND dates = '$edate2' ORDER BY dates";
	$database->setQuery( $eventquery );
	$calinfos = $database->loadResult();
	
	$callink = "<a href='".sefRelToAbs('index.php?option=com_eventlist&Itemid='.$eventitemid.'&func=details&did='.$calinfos)."' title=\""._AKPLUG_DETAILS_LINK_TITLE."\" />";
	
	// Attend Events and Event Sessions
	} elseif ($chooseCal =='2' && $eventitemid) {
	$calsql = "SELECT session_id FROM `#__events_sessions` WHERE title = '".$calname."'";
	$database->setQuery( $calsql );
	$calinfos = $database->loadResult();
	$callink = "<a href=\"".sefRelToAbs( 'index.php?option=com_events_sessions&task=view&id='.$calinfos.'&Itemid='.$eventitemid)."\" title=\""._AKPLUG_DETAILS_LINK_TITLE."\" />";
	}
	
	$reglink = sefRelToAbs( 'index.php?option=com_akreservations&task=modifyForm&resAct='.$eactivate.'&Itemid=-1');
	
		
	$i= ($i==1) ? 2 : 1;
	$return .= "<tr class=\"sectiontableentry$i\">"
	."<td>".$callink."".$calname."</a> - <a href=\"".$reglink."\" title=\""._AKPLUG_RES_LINK_TITLE."\" />(edit)</a></td>"
	//."<td>".mosFormatDate( $edate2." 00:00:00", _DATE_FORMAT_LC)." </td>"
	."<td>".mosFormatDate($edate2." 00:00:00","%a %b %d")." </td>"
	//."<td> ".$enumber." </td>"
	."</tr>\n";

}
} 

if ($user->id != $my->id) {

	foreach($events AS $event) {
	
	$chunks = explode('|',$event->dates);
	
	$calname = $chunks[4];
	$ecat = $event->category;
	$eventdate = $chunks[0];
	$eactivate = $event->activation;
	$enumber = $event->ticketcount;
	$paid = $event->paid;
	
	$eventyear = substr($eventdate,0,4);
	$eventmonth = substr($eventdate,4,-2);
	$eventday = substr($eventdate,-2);

	$edate2 = "".$eventyear."-".$eventmonth."-".$eventday."";
	
	$callink = "";

	if ($chooseCal == '0' || $eventitemid =='') {
	$callink = '';
	
	// Event List
	} elseif ($chooseCal =='1' && $eventitemid) {
	$eventquery = "SELECT id FROM #__eventlist_dates WHERE published = 1 AND dates = '$edate2' ORDER BY dates";
	$database->setQuery( $eventquery );
	$calinfos = $database->loadResult();
	
	$callink = "<a href='".sefRelToAbs('index.php?option=com_eventlist&Itemid='.$eventitemid.'&func=details&did='.$calinfos)."' title=\""._AKPLUG_DETAILS_LINK_TITLE."\" />";
	
	// Attend Events and Event Sessions
	} elseif ($chooseCal =='2' && $eventitemid) {
	$calsql = "SELECT session_id FROM `#__events_sessions` WHERE title = '".$calname."'";
	$database->setQuery( $calsql );
	$calinfos = $database->loadResult();
	$callink = "<a href=\"".sefRelToAbs( 'index.php?option=com_events_sessions&task=view&id='.$calinfos.'&Itemid='.$eventitemid)."\" title=\""._AKPLUG_DETAILS_LINK_TITLE."\" />";
	}
		
	$i= ($i==1) ? 2 : 1;
	$return .= "<tr class=\"sectiontableentry$i\">"
	."<td>".$callink."".$calname."</a></td>"
	//."<td>".mosFormatDate( $edate2." 00:00:00", _DATE_FORMAT_LC)." </td>"
	."<td>".mosFormatDate($edate2." 00:00:00","%a %b %d")." </td>"
	//."<td> ".$enumber." </td>"
	."</tr>\n";

}
}

	$return .= "</table>";
      
	return $return;
	}
}	
?>